Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Class ServiceArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.ServiceArtefactHandler

All Implemented Interfaces:
  ArtefactHandler

    public class ServiceArtefactHandler

extends ArtefactHandlerAdapter

Author:
  Marc Palmer (marc@anyware.co.uk)

Field Summary
`static String` | `PLUGIN_NAME`
`static String` | `TYPE`

Fields inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`log`

Constructor Summary
`ServiceArtefactHandler()`

Method Summary
`String` | `getPluginName()` Obtains the plugin name that deals with this artefact
`boolean` | `isArtefactClass(Class clazz)` Checks that class's name ends in the suffix specified for this handler.

Methods inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`getArtefactForFeature, getType, initialize, isArtefact, isArtefactGrailsClass, newArtefactClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### PLUGIN_NAME

    public static final String PLUGIN_NAME

See Also:
  Constant Field Values

Constructor Detail

### ServiceArtefactHandler

    public ServiceArtefactHandler()

Method Detail

### getPluginName

    public String getPluginName()

  Description copied from interface: `ArtefactHandler`
  Obtains the plugin name that deals with this artefact

  Specified by:
    `getPluginName` in interface `ArtefactHandler`
  Overrides:
    `getPluginName` in class `ArtefactHandlerAdapter`
  Returns:
    The plugin name or null if there isn't one

### isArtefactClass

    public boolean isArtefactClass(Class clazz)

  Description copied from class: `ArtefactHandlerAdapter`

  Checks that class's name ends in the suffix specified for this handler.

  Override for more complex criteria

  Overrides:
    `isArtefactClass` in class `ArtefactHandlerAdapter`
  Parameters:
    `clazz` - The class to check
  Returns:
    True if it is an artefact of this type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project